## apache-arrow-flight-sql-postgresql-0.1.0.tar.gz

=== meson_options.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

option('benchmark',
       type: 'boolean',
       value: false,
       description: 'Build benchmark programs')

option('example',
       type: 'boolean',
       value: false,
       description: 'Build example programs')

option('postgresql_dir',
       type: 'string',
       value: '',
       description: 'PostgreSQL binary directory')

=== doc/requirements.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

myst-parser[linkify]
pydata_sphinx_theme
sphinx_inline_tabs

=== package/postgresql-15-pgdg/debian/changelog ===
postgresql-15-pgdg-apache-arrow-flight-sql (0.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Sun, 10 Sep 2023 04:57:55 -0000

=== package/postgresql-15-pgdg/debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

Source: postgresql-15-pgdg-apache-arrow-flight-sql
Section: database
Priority: optional
Maintainer: Apache Arrow Developers <dev@arrow.apache.org>
Build-Depends:
  cmake,
  debhelper-compat (= 13),
  libarrow-flight-sql-dev,
  libkrb5-dev,
  meson,
  postgresql-server-dev-15
Standards-Version: 4.6.0
Homepage: https://arrow.apache.org/flight-sql-postgresql/

Package: postgresql-15-pgdg-apache-arrow-flight-sql
Architecture: any
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  postgresql-15
Description: Apache Arrow Flight SQL adapter for PostgreSQL
 .
 It provides a PostgreSQL module that adds Apache Arrow Flight SQL
 interface to PostgreSQL.

=== package/postgresql-15-pgdg/debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure			\
	  --buildsystem=meson+ninja		\
	  --					\
	  --buildtype=debugoptimized

override_dh_auto_test:
